#include "bctest.h"

BcTest::BcTest() : QObject()
{
	m_bc = new Broadcast(false, this);
	m_serv = new Broadcast(true, this);
	connect(m_bc, SIGNAL(serverDiscovered(QHostAddress, quint16)), this, SLOT(newServer(QHostAddress, quint16)));
}

void BcTest::test()
{
	int ps = 4242, pc = 4241;
	if(!m_serv->start(ps, pc))
	{
		qDebug()<<m_serv->getError();
		Q_ASSERT(false);
	}
	if(!m_bc->start(pc, ps))
	{
		qDebug()<<m_bc->getError();
		Q_ASSERT(false);
	}
}

void BcTest::newServer(QHostAddress ad, quint16 port)
{
	qDebug()<<"New Server:"<<ad<<port;
}
